# HttpBuildCacheCredentials

open class HttpBuildCacheCredentials : PasswordCredentials

Credentials for authenticating with an HTTP build cache.

When configured on HttpBuildCache, these credentials are sent using HTTP Basic authentication (i.e. via the `Authorization: Basic` header).

#### Since

3.5

#### See also

HttpBuildCache

## Constructors

HttpBuildCacheCredentials
Link copied to clipboard
constructor()

## Properties

password
Link copied to clipboard
@get:Nullable
open var password: String
username
Link copied to clipboard
@get:Nullable
open var username: String

## Functions

getPassword
Link copied to clipboard
abstract fun getPassword(): @Nullable String
getUsername
Link copied to clipboard
abstract fun getUsername(): @Nullable String
setPassword
Link copied to clipboard
abstract fun setPassword(password: @Nullable String)
setUsername
Link copied to clipboard
abstract fun setUsername(userName: @Nullable String)